<?php
if(!file_exists("$catalog/css.php"))exit("Неправильно набран номер!"); 
function foto($foto)
 {
                global $size_img_cat,$catalog;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$catalog/admin/foto/$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$size_img_cat)
                   {
                     $balans=$size_img[0]/$size_img_cat;
//                     if($balans)>=1
//                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
//                        }

                   }
                if($size_img[1]>$size_img_cat)
                   {
                     $balans=$size_img[1]/$size_img_cat;
//                    if(round($balans)>=1)
//                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
//                        }
                   }

$size_img[0]=round($size_img[0]); //sg
$size_img[1]=round($size_img[1]); //sg
   //             echo "<img src=$catalog/admin/foto/$foto width=$size_img[0] height=$size_img[1] class='imgb imgp c_center'  alt='фото'>";
				echo "<img src=$catalog/admin/foto/$foto width=$size_img[0] height=$size_img[1] class='imgp c_left'  alt='фото'>";
// Добавил style='padding: 10px' --SG

 }


function foto1($foto)
 {
                global $size_img_cat1,$catalog;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$catalog/admin/foto/$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$size_img_cat1)
                   {
                     $balans=$size_img[0]/$size_img_cat1;
//                     if(round($balans)>=1)
//                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
//                        }

                   }
                if($size_img[1]>$size_img_cat1)
                   {
                     $balans=$size_img[1]/$size_img_cat1;
//                     if(round($balans)>=1)
//                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
 //                       }
                   }

$size_img[0]=round($size_img[0]); //sg
$size_img[1]=round($size_img[1]); //sg
                echo "<img src=$catalog/admin/foto/$foto width=$size_img[0] height=$size_img[1] class='imgp c_left'  alt='фото'>";
// Добавил style='padding: 10px' --SG

 }

function foto2($foto)
 {
                global $size_img_cat1,$catalog;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$catalog/admin/foto/$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$size_img_cat1)
                   {
                     $balans=$size_img[0]/$size_img_cat1;
//                     if(round($balans)>=1)
//                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
//                        }

                   }
                if($size_img[1]>$size_img_cat1)
                   {
                     $balans=$size_img[1]/$size_img_cat1;
//                     if(round($balans)>=1)
//                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
 //                       }
                   }

$size_img[0]=round($size_img[0]); //sg
$size_img[1]=round($size_img[1]); //sg
                echo "<img src=$catalog/admin/foto/$foto width=$size_img[0] height=$size_img[1] class='imgp c_right'  alt='фото'>";
// Добавил style='padding: 10px' --SG

 }
?>